<?php
session_name('portal_absa');session_start();if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?exit;}
require "../conexion/conectar.php";
//include("../actualizarBus.php");
require("../libs/funciones.php");

$conexion = new CONDB();
$conexion->conectar();

if(strtoupper(trim($_SESSION['usuario_p_prov_absa'])) == "ADMIN"){
	$rfcEmisor=$_POST["busca_emisor"];
}else{
	$rfcEmisor=$_SESSION['RFC_RECEPTOR_PORTAL'];
}

// $doc=$_POST["busca_documento"];
$doc="";
$serieI=$_POST["busca_serie_doceI"];
// $serieF=$_POST["busca_serieF"];
$serieF="";
$folioI=$_POST["busca_folio_doceI"];
$folioF=$_POST["busca_folio_doceF"];
$fechaI=$_POST["busca_fecha_doceI"];
$fechaF=$_POST["busca_fecha_doceF"];
$busca_nombre=$_POST["busca_nombre_doce"];
// $busca_nombre="";
$rfc_receptor=$_REQUEST["busca_rfc_doce"];
// $rfc_receptor="";
// $uuid=$_REQUEST["uuid"];
$uuid="";
		if($fechaI != ""){
			$fechaI.=" 00:00:00";
		}
		if($fechaF != ""){
			$fechaF.=" 23:59:59";
		}
		
		
		$complementoMostrarWEB="and mostrarWeb='SI'";
		
		if($_SESSION['esAdmin_p_prov_absa'] == "SI"){
			if(@$_POST['checkMostrarWeb'] == "on"){
				$complementoMostrarWEB="";
			}else{
				$complementoMostrarWEB="and mostrarWeb='SI'";
			}
			$complementoStatus="and status='1'";
			if(@$_POST['checkMostrarCancelados'] == "on"){
				$complementoStatus="";
			}else{
				$complementoStatus="and status='1'";
			}
			$width="90";
		}else{
			$width="65";
			$complementoMostrarWEB="and mostrarWeb='SI'";
			$complementoStatus="and status='1'";
		}
                $complementoStatus="";
	getQuery5($serieI,$serieF,$doc,$rfcEmisor,$folioI,$folioF,$fechaI,$fechaF,$busca_nombre,$complementoMostrarWEB,$complementoStatus,$rfc_receptor,$uuid);
	
	$filtroA="";
	$filtroB="";
	$filtroC="";
	
	if($doc != "" && $rfcEmisor != ""){
		$query="select filtroA,filtroB,filtroC from emisor e,tdoctos t where e.rfc='$rfcEmisor'
		and e.idEmisor=t.idEmisor and t.tipodocto='$doc' limit 1";
		
                $rquery=mysqli_query($conexion->CONEXION,$query);
                
		if(mysqli_num_rows($rquery) > 0){
			$temp=mysqli_fetch_array($rquery,MYSQLI_ASSOC);
			$filtroA=strtoupper($temp['filtroA']);
			$filtroB=strtoupper($temp['filtroB']);
			$filtroC=strtoupper($temp['filtroC']);
		}
	}
			if($filtroA=="")
				$filtroA="FILTRO A";
			if($filtroB=="")
				$filtroB="FILTRO B";
			if($filtroC=="")
				$filtroC="FILTRO C";

//$cont=1;
$arrCampos=array();
$arrConfigCampos=array();
for($i=1; $i <= 30;$i++){
	$valorIni = getINI("CAMPOD_".$i."=","../config.ini");
	if($valorIni){
		//echo $valorIni;
		$arrConf = explode("||",$valorIni);
		//echo $arrConf[1];
		array_push($arrCampos,$arrConf[0]);
		array_push($arrConfigCampos,$arrConf[1]);
		
		//$cont++;
	}else{
		break;
	}
}
	
$_SESSION['grid_select']='grid_doce';
//echo "<br/>".$q;exit;
?>

<script>
var query="";
$j_6(document).ready(function(){
	banBusca = true;
	$j_6().gridJQGrid({
	php: 'grids/doceGrid.php',
	//headerNames: '<img src="grids/Imagenes/descargas.png"/>,RFC Emisor,Tipo Documento,Serie,Folio,Status,Fecha,RFC Receptor,Nombre Receptor,UUID,IVA,Total,<?=$filtroA?>,<?=$filtroB?>,<?=$filtroC?>',
	headerNames: '<img src="grids/Imagenes/descargas.png"/><?php for($i=0; $i < count($arrCampos); $i++){echo ",".$arrCampos[$i];}?>',
	sortname: 'rfcemisor,tipodocto,serie,folio',
	Frozen: true,
	idGrid: 'grid_doce',
	idPagina: 'pagina_doce',
	optionsCol: 'xml|width: <?=$width?>, search: false, sortable:false, frozen: true;'+
				<?php
					for($i=0; $i < count($arrConfigCampos); $i++){
						echo $arrConfigCampos[$i];
				?>
				<?php
					}
				?>
	hiddenCol: 'pdf,archXML,archPDF,usarRutaDistribuida,mostrarweb',
	ignoreColNamesExcel: '',
	sheetName: 'Documentos encontrados',
	urlDatos: 'grids/doceDatosGrid.php',	
	div: 'doceGrid',
	width: $j_6('#doceGrid').width(),
    height: 'auto',
	rowNum: 20,
	query: query,
	optionsForm: 	'',
	captionForm: '',
	tabla: '',
	reloadGridAfterSave: '',
	captionConfirm: '',
	widthConfirm: 300,
	heightConfirm: 100,
	widthForm: 500,
	heightForm: 120,
	fileForm: 'grids/generaForm.php',
	edit: false,
	add: false,
	del: false
	});
});
</script>
<?
function getQuery5($serieI,$serieF,$doc,$rfcEmisor,$folioI,$folioF,$fechaI,$fechaF,$busca_nombre,$complementoMostrarWEB,$complementoStatus,$rfc_receptor,$uuid){
	
	if($_SESSION['esAdmin_p_prov_absa'] == "SI"){
		if(trim($rfc_receptor) != ""){
			$complementoQuery="";
			$complementoQuery=" and rfcreceptor='".trim($rfc_receptor)."'";
		}
	}elseif($_SESSION['todo_RFC_p_prov_absa'] == "SI"){
		$complementoQuery="";
		$permisosComplemento=$_SESSION['permisos_c_prov_absa'];
	}else{
		if(trim(strtoupper($_SESSION['RFC_RECEPTOR_PORTAL'])) != trim(strtoupper($_SESSION['rfc_cliente_p_prov_absa']))){
			$complementoQuery="and rfcreceptor='".$_SESSION['rfc_cliente_p_prov_absa']."'";
		}
	}
	
	$docQuery="";
	if($doc != ""){
		$docQuery=" and tipodocto = '$doc'";
	}
	
	$rfcQuery="";
	if($rfcEmisor != ""){
		$rfcQuery=" and rfcemisor like '%$rfcEmisor%'";
	}
	
	$comSerie="";
	if(trim($serieI) == ""){
		if(@$_POST["sinserie_check"] == "1"){
			$comSerie=" and serie=''";
		}
	}else{
		$comSerie="and serie='$serieI'";
	}
	
	$comFolio="";
	if(trim($folioI) != ""){
		$comFolio=" and folio>='$folioI'";
	}
	if(trim($folioF) != ""){
		$comFolio.=" and folio<='$folioF'";
	}
	$comFecha="";
	if(trim($fechaI) != ""){
		$comFecha=" and fecha>='$fechaI'";
	}
	if(trim($fechaF) != ""){
		$comFecha.=" and fecha<='$fechaF'";
	}
	$buscaNombreRec = "";
	if(trim($busca_nombre) != ""){
		$buscaNombreRec.=" and d.nombrerec like '%$busca_nombre%'";
	}
	
	
	$comUUID="";
	
	if(trim($uuid) != ""){
		$comUUID=" and uuid='".trim($uuid)."'";
	}
	
	$filtrosQuery="";
	if(@trim($_POST["filtroA"]) != ""){
		$filtrosQuery.=" and filtroA='".trim($_POST["filtroA"])."'";
	}
	
	if(@trim($_POST["filtroB"]) != ""){
		$filtrosQuery.=" and filtroB='".trim($_POST["filtroB"])."'";
	}
	
	if(@trim($_POST["filtroC"]) != ""){
		$filtrosQuery.=" and filtroC='".trim($_POST["filtroC"])."'";
	}
	
	$filtroHaving="";
	
	for($i=0; $i <=20; $i++){
		if($etiqueta = getINI("MOD_NP_STATUS_".$i."=","../config.ini")){
			if($etiqueta != ""){
				if($_REQUEST["status"] == $etiqueta){
					$filtroHaving=" HAVING statusNP='$i'";
				}
			}
		}
	}
										
	/*if($_REQUEST["status"] == "SINRELACIONES"){
		$filtroHaving=" HAVING statusNP='5'";
	}else if($_REQUEST["status"] == "NOCOMPLETOS"){
		$filtroHaving=" HAVING statusNP='0'";
	}else if($_REQUEST["status"] == "INCORRECTOS"){
		$filtroHaving=" HAVING statusNP='3'";
	}else if($_REQUEST["status"] == "COMPLETOS"){
		$filtroHaving=" HAVING statusNP='4'";
	}else if($_REQUEST["status"] == "NOAPLICACOM"){
		$filtroHaving=" HAVING statusNP='8'";
	}else if($_REQUEST["status"] == "CONCOMNOREQ"){
		$filtroHaving=" HAVING statusNP='11'";
	}else if($_REQUEST["status"] == "MENORRELACIONES"){
		$filtroHaving=" HAVING statusNP='12'";
	}else if($_REQUEST["status"] == "MAYORRELACIONES"){
		$filtroHaving=" HAVING statusNP='2'";
	}*/

    if(trim(@$_SESSION['taxid']) != ""){
        $cTaxID = "and taxid='".$_SESSION['taxid']."'";
    }
	 
	 $_SESSION["query_doce"]="select * from (select distinct rutaXML_P as xml,rcds.status as statusNP, con_complemento_correcto, rfcemisor,tipodocto,serie,folio,d.status,fecha,FormaDePago,nombrerec,iva,total,d.filtroA,d.filtroB,d.filtroC,archXML,archPDF,usarRutaDistribuida,mostrarweb,rutaPDF_P as pdf,adicionalA as uuid,rfcreceptor,alta_manual from (select rfc,tipodocto as tipodoc,rutaXML_P,rutaPDF_P,usarRutaDistribuida from emisor e,tdoctos t where e.idEmisor=t.idEmisor) as c inner join doce d ON c.rfc=d.rfcemisor and d.tipodocto=c.tipodoc inner join recibecfd_doce_status rcds ON d.adicionalA = rcds.uuid
	 where tipodocto='NOTIFICACION DE PAGO' $buscaNombreRec $rfcQuery $docQuery ".@$complementoQuery." $comSerie $comFolio $comFecha $complementoMostrarWEB $complementoStatus ".@$cTaxID." ".@$permisosComplemento." $comUUID $filtrosQuery <<FILTROENGRID>> $filtroHaving) as tmp";
	 
	 $_SESSION["query_count_doce"]="Select count(*) as count from (select * from (select distinct rutaXML_P as xml,rcds.status as statusNP, con_complemento_correcto, rfcemisor,tipodocto,serie,folio,d.status,fecha,FormaDePago,nombrerec,iva,total,d.filtroA,d.filtroB,d.filtroC,archXML,archPDF,usarRutaDistribuida,mostrarweb,rutaPDF_P as pdf,adicionalA as uuid,rfcreceptor,alta_manual from (select rfc,tipodocto as tipodoc,rutaXML_P,rutaPDF_P,usarRutaDistribuida from emisor e,tdoctos t where e.idEmisor=t.idEmisor) as c inner join doce d ON c.rfc=d.rfcemisor and d.tipodocto=c.tipodoc inner join recibecfd_doce_status rcds ON d.adicionalA = rcds.uuid
	 where tipodocto='NOTIFICACION DE PAGO' $buscaNombreRec $rfcQuery $docQuery ".@$complementoQuery." $comSerie $comFolio $comFecha $complementoMostrarWEB $complementoStatus ".@$cTaxID." ".@$permisosComplemento." $comUUID $filtrosQuery <<FILTROENGRID>> $filtroHaving) as tmp1) as tmp2";
	 
	 // echo "<br/><br/><br/>";
	 // echo $_SESSION["query_doce"];exit;
}